set(auto2).
clear(fof_reduction).

formulas(usable).

% Logical Axiom: EncAt(x,F,d) is rigid
all x all F ((Object(x) & Property(F)) -> ((exists d (Point(d) & EncAt(x,F,d))) -> (all d (Point(d) -> EncAt(x,F,d))))).

% Definition: EncpAt(x,p,d)
all x all p all d ((Object(x) & Proposition(p) & Point(d)) -> (EncpAt(x,p,d) <-> (exists F (Property(F) & F=VAC(p) & EncAt(x,F,d))))).

end_of_list.

formulas(sos).
% Denial L2 - if x encodes p at some point d, x encodes p at all points w.
-(all x all p ((Object(x) & Proposition(p)) -> ((exists d (Point(d) & EncpAt(x,p,d))) -> (all d (Point(d) -> EncpAt(x,p,d)))))).
end_of_list.

